import apiRequest from '@/network/http/apiRequest'

/**
 * 获取职位分页
 * @param data
 * @returns
 */
export function getPositionByPage(data: any) {
  return apiRequest({
    url: '/position/page',
    method: 'GET',
    params: data,
  })
}

/**
 * 获取职位列表
 * @param data
 * @returns
 */
export function getPositionByList(data: any) {
  return apiRequest({
    url: '/position',
    method: 'GET',
    params: data,
  })
}

/**
 * 获取职位列表
 * @param data
 * @returns
 */
export function selectPositionByList(data: any) {
  return apiRequest({
    url: '/position/select',
    method: 'GET',
    params: data,
  })
}

/**
 * 根据ID获取职位
 * @param data
 * @returns
 */
export function getPositionById(positionId: number) {
  return apiRequest({
    url: `/position/${positionId}`,
    method: 'GET',
  })
}

/**
 * 添加职位
 * @param data
 * @returns
 */
export function createPosition(data: any) {
  return apiRequest({
    url: '/position/add',
    method: 'POST',
    data,
  })
}

/**
 * 更新职位
 * @param data
 * @returns
 */
export function updatePosition(data: any) {
  return apiRequest({
    url: '/position/update',
    method: 'PUT',
    data,
  })
}

/**
 * 删除职位
 * @returns
 * @param positionId
 */
export function deletePositionById(positionId: number) {
  return apiRequest({
    url: `/position/${positionId}`,
    method: 'DELETE',
  })
}
